MeiroDocs

PromoCodes

+ Parameters

Section: Group PromoCodes. Base URL: https://instance_name.meiro.io/api/.

List PromoCodesList [GET]

  • Parameters

    • limit: 10 (number, optional) - Limit of the number of records returned
    • offset: 20 (number, optional) - Offset for the records returned
    • order_by: name (OrderBy, optional) - Ordering
    • order_dir: desc (OrderDir, optional) - Ordering direction
    • name_search: sale (string, optional) - name filtering search
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (PromoCodesLists)

Create PromoCodesList [POST]

  • Attributes (PromoCodesListCreate)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

    • Attributes (PromoCodesList)

PromoCodesList [/promo_codes_lists/{promo_codes_list_id}]

Retrieve PromoCodesList [GET]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (PromoCodesList)
  • Response 404

Modify PromoCodesList [PATCH]

  • Attributes (PromoCodesListModify)

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

    • Attributes (PromoCodesList)
  • Response 404

Delete PromoCodesList [DELETE]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}
  • Response 404

Upload promo codes to PromoCodesList [POST]

Form file upload with CSV file containing 1 column with promo codes

  • Request (multipart/form-data)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}
  • Response 404

On this page